PATHCHK(1)

NAME
pathchk - check whether file names are valid or portable

SYNOPSIS
pathchk [-p] [--portability] [--help] [--version] filename...

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of pathchk. For each filename, pathchk prints a message if any of these conditions are false:
• all existing directories in filename have search (execute) permission
• the length of filename is no larger than its filesystem's maximum file name length
• the length of each component of filename corresponding to an existing directory name is no larger than its filesystem's maximum length for a file name component

The exit status is:
0 if all file names passed all of the tests,
1 otherwise.

  OPTIONS

--help
    Print a usage message on standard output and exit successfully.

-p, --portability
    Instead of performing length checks on the underlying filesystem, test the length of each file name and its components against the POSIX.1 minimum limits for portability. Also check that the file name contains no characters not in the portable filename character set.

--version
    Print version information on standard output then exit successfully.